A Matrix-WhatsApp bridge that allows you to chat with WhatsApp users from your Matrix client.

## Features

- **Two-way bridging**: Send and receive messages between Matrix and WhatsApp
- **Media support**: Share images, videos, documents, and voice messages
- **Group chats**: Bridge WhatsApp groups to Matrix rooms
- **WhatsApp Web**: Uses WhatsApp Web protocol for reliable connectivity
- **End-to-end encryption**: Supports Matrix E2EE in bridged rooms
- **Reactions**: Bridge message reactions between platforms
- **Read receipts**: Sync read status between Matrix and WhatsApp
- **Typing indicators**: Show when users are typing
- **Contact sync**: Automatically create Matrix rooms for WhatsApp contacts

## Requirements

- Matrix homeserver with application service support
- WhatsApp account with phone number
- PostgreSQL database (provided by Cloudron)

## Authentication

The bridge uses WhatsApp Web's authentication system. You'll need to:

1. Start the bridge and send `login` to the bridge bot
2. Scan the QR code with WhatsApp on your phone
3. The bridge will maintain the connection automatically

## Support

For help and discussion, join the Matrix room: [#whatsapp:maunium.net](https://matrix.to/#/#whatsapp:maunium.net)